output "ip_internes" {
  value = module.compute.ip_internes
}

output "ip_public_frontend" {
  value = module.compute.ip_public_frontend
}

output "nom_instances" {
  value = module.compute.nom_instances
}

output "service_account_email" {
  description = "Service account email"
  value       = module.iam.service_account_email
}

output "service_account_key" {
  description = "Service key"
  value       = module.iam.service_account_key
  sensitive   = true
}

output "vpc_terraform" {
  description = "ID du VPC créé"
  value       = module.network.vpc_id
}

output "subnet_ids" {
  description = "Map des IDs des sous-réseaux"
  value       = module.network.subnet_ids
}
